GET /blueprinttemplates/{guid}/revisions/{type}

Get revision history for a specific file type in a blueprint template

Get revision history for a specific file type in a blueprint template
KeyTypeExampleDescription
guidrequiredstring
"example"
Unique identifier (GUID)
typerequiredstring
"example"
File type to get revisions for
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
[
  {
    "_meta": {
      "created": 1782166695,
      "entity": 1,
      "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
      "modified": 1782166695,
      "updated": 1782166695
    },
    "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "key": "reactroot",
    "new_value": "closed",
    "old_value": "open",
    "user": {
      "_meta": {
        "cms": 1782080295147,
        "created": 1782080295,
        "entity": 1,
        "expiry": -1,
        "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
        "removed": 0,
        "ums": 1782166695813,
        "update_hash": "60e27209fa93063b5605e41605c2722ed428cae0",
        "updated": 1782166695
      },
      "username": "joe"
    }
  }
]
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
StatusError CodeDescription
401INVALID_ACCESS_TOKENAuthentication required or invalid token
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
blueprinttemplates_viewRequired scope: blueprinttemplates_view

Back to Blueprint Templates Return to the Blueprint Templates category to view other endpoints All API Categories Browse all available API categories